Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-15504

phpBB Debug warning in 3.2.2

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.2.2
    • Fix Version/s: 3.2.3
    • Component/s: None
    • Labels:
      None
    • Environment:
      PHP 7.0.4, MySQL 5.7.11, Firefox 57+

      Description

      When using PHP 5.6.19 in 3.2.2 version i don't see an error, but when i switch to 7+

      [phpBB Debug] PHP Warning: in file [ROOT]/phpbb/debug/error_handler.php on line 18: Declaration of phpbb/debug/error_handler::handleError($type, $message, $file, $line, array $context, array $backtrace = NULL) should be compatible with Symfony/Component/Debug/ErrorHandler::handleError($type, $message, $file, $line).

      It's not a problem, if developing with php 5.6+, but it may hurt eyes in higher versions of php)

        Attachments

          Activity

            People

            • Assignee:
              Marc Marc
              Reporter:
              GanstaZ GanstaZ
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: